﻿/// Copyright (c) Taoffi Nassar, 2010. All Rights Reserved.
/// http://www.isosoft.org/taoffi
///
/// This code is provided as is for sample demonstration purpose
/// 
using System;
using System.Runtime.Serialization;
using System.Data.OleDb;

/// <summary>
/// Summary description for DbConnectionStatus
/// </summary>
[DataContract]
public class DbConnectionStatus
{
	private OleDbException		m_oledb_exception		= null;
	private Exception			m_exception				= null;
	private string				m_application_message	= "";

	public DbConnectionStatus()
	{
	}

	public DbConnectionStatus(OleDbException olex, Exception ex)
	{
		m_oledb_exception	= olex;
		m_exception			= ex;
	}

	public OleDbException CurrentOleDbException
	{
		get { return m_oledb_exception; }
		set { m_oledb_exception = value; }
	}

	public Exception CurrentException
	{
		get { return m_exception; }
		set { m_exception = value; }
	}

	[DataMember]
	public string ErrorMessage
	{
		get
		{
			string		str_msg	= "";

			if( ! string.IsNullOrEmpty( m_application_message))
				str_msg	+= m_application_message;

			if( m_oledb_exception != null)
			{
				if( str_msg.Length > 0)
					str_msg += "\r\n";

				str_msg	+= "Database errors:\r\n" + m_oledb_exception.Message;
			}

			if (m_exception != null)
			{
				if( str_msg.Length > 0)
					str_msg += "\r\n";

				str_msg	+= "Other errors: " + m_exception.Message;
			}

			return str_msg;
		}
		set { m_application_message = value; }
	}

}
