﻿/// Copyright (c) Taoffi Nassar, 2010. All Rights Reserved.
/// http://www.isosoft.org/taoffi
///
/// This code is provided as is for sample demonstration purpose
/// 
using System.Runtime.Serialization;

/// <summary>
/// Summary description for SilverDataCell
/// </summary>
[DataContract]
public class SilverDataCell
{
	protected string				m_str_value		= "";
	protected SilverMetaColumn		m_meta_column	= null;
	protected SilverDataRow			m_parent_row	= null;

	public SilverDataCell()
	{
	}

	public SilverDataCell(SilverDataRow parent_row, SilverMetaColumn meta_column, string str_value)
	{
		ParentRow		= parent_row;
		MetaColumn		= meta_column;
		ValueAsString	= str_value;
	}

	public SilverDataCell(SilverDataCell other)
	{
		CopyOther( other);
	}


	public bool CopyOther(SilverDataCell other)
	{
		if( other == null || other == this)
			return false;

		ParentRow		= other.ParentRow;
		MetaColumn		= other.MetaColumn;
		ValueAsString	= other.ValueAsString;

		return true;
	}


	public SilverDataRow ParentRow
	{
		get { return m_parent_row; }
		set { m_parent_row = value; }
	}

	public SilverMetaColumn MetaColumn
	{
		get { return m_meta_column; }
		set { m_meta_column = value; }
	}

	[DataMember]
	public string DataTypeName
	{
		get { return (m_meta_column == null) ?("") :(m_meta_column.DataTypeName); }
		set { }
	}

	[DataMember]
	public string ColumnName
	{
		get { return (m_meta_column == null) ? ("") : (m_meta_column.Name); }
		set { }
	}

	[DataMember]
	public string ValueAsString
	{
		get { return Xml_invalid_rangeList.XmlValidString(  m_str_value); }
		set { m_str_value = (value == null) ?("") :(value);}
	}




}
