﻿/// Copyright (c) Taoffi Nassar, 2009-2010. All Rights Reserved.
/// http://www.isosoft.org/taoffi
///
/// This code is provided as is for sample demonstration purpose
/// 
using System;
using System.Runtime.Serialization;
using System.Data;

/// <summary>
/// Summary description for SilverMetaColumn
/// </summary>
[DataContract]
public class SilverMetaColumn
{
	protected string		m_name		= "",
							m_caption	= "";
	protected Type			m_data_type	= typeof(string);

	public SilverMetaColumn()
	{
	}

	public SilverMetaColumn( string name, string caption, Type data_type)
	{
		Name		= name;
		Caption		= caption;
		DataType	= data_type;
	}

	public SilverMetaColumn(DataColumn data_column)
	{
		ReadColumnInfo( data_column);
	}

	public SilverMetaColumn(SilverMetaColumn other)
	{
		CopyOther(other);
	}

	[DataMember]
	public string Name
	{
		get { return m_name; }
		set { m_name = value; }
	}

	[DataMember]
	public string Caption
	{
		get { return m_caption; }
		set { m_caption = value; }
	}

	[DataMember]
	public string DataTypeName
	{
		get { return m_data_type.Name; }
		set {  }	/// empty set (to solve service class generator tool)
	}

	public Type DataType
	{
		get { return m_data_type; }
		set { m_data_type = value; }
	}


	public bool CopyOther(SilverMetaColumn other)
	{
		if( other == null || other == this)
			return false;

		Name		= other.Name;
		Caption		= other.Caption;
		DataType	= other.DataType;

		return true;
	}

	public bool ReadColumnInfo(DataColumn data_column)
	{
		if( data_column == null)
			return false;

		m_name		= data_column.ColumnName;
		m_caption	= data_column.Caption;
		m_data_type	= data_column.DataType;

		return true;
	}

}
