﻿/// Copyright (c) Taoffi Nassar, 2010. All Rights Reserved.
/// http://www.isosoft.org/taoffi
///
/// This code is provided as is for sample demonstration purpose
/// 
using System;
using System.Windows.Data;
using System.Collections.ObjectModel;

using SilverDbDataGrid.ServiceReference1;

namespace SilverDbDataGrid
{
	public class SilverRowConverter: IValueConverter 
	{
		public SilverRowConverter()
			: base()
		{
		}


		#region IValueConverter Members

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if( value == null || parameter == null)
				return "";

			if( !(value is ObservableCollection<SilverDataCell> ) || !(parameter is int))
				return "";

			ObservableCollection<SilverDataCell>	row	= (ObservableCollection<SilverDataCell>) value;
			int				col_index	= (int) parameter;

			if( col_index < 0 || col_index >= row.Count)
				return "";

			SilverDataCell	cell		= row[col_index];

			return cell.ValueAsString;
		}


		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}

		#endregion
	}
}
