﻿/// Copyright (c) Taoffi Nassar, 2010. All Rights Reserved.
/// http://www.isosoft.org/taoffi
///
/// This code is provided as is for sample demonstration purpose
/// 
using System.Windows.Controls;
using System.Windows.Automation.Provider;

namespace SilverDbDataGrid
{
	public class ScrollableDataGrid : DataGrid
	{
		IScrollProvider m_scroll_provider;

		public ScrollableDataGrid()
			: base()
		{
			// cast the returned AutomationPeer to 
			m_scroll_provider = (IScrollProvider)OnCreateAutomationPeer();

		}

		public void ScrollUp()
		{
			m_scroll_provider.Scroll(System.Windows.Automation.ScrollAmount.NoAmount, System.Windows.Automation.ScrollAmount.SmallIncrement);
		}

		public void ScrollDown()
		{
			m_scroll_provider.Scroll(System.Windows.Automation.ScrollAmount.NoAmount, System.Windows.Automation.ScrollAmount.SmallDecrement);
		}

	}
}